#
# spec file for package xaos (Version 3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  aalib aalib-devel libpng svgalib xf86
# usedforbuild    aaa_base aaa_dir aalib aalib-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xaos
Copyright:    GPL
Group:        X11/Applications/Graphics
Provides:     XaoS 
Autoreqprov:  on
Version:      3.0
Release:      364
Summary:      Powerful fractal generator
URL:          http://limax.paru.cas.cz/~hubicka/XaoS/
Source: ftp://ftp.ta.jcu.cz/pub/linux/hubicka/XaoS/3.0/XaoS-%{version}.tar.bz2
Patch: XaoS-%{version}.dif
Patch1: XaoS-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build 

%description
XaoS is a fast portable real-time interactive fractal zoomer.
It displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal.  Various coloring modes
are provided for both the points inside and outside the selected set.
In addition, switching between Julia and Mandelbrot fractal types and
displaying planes is provided.

Authors:
--------
    Jan Hubicka <hubicka@paru.cas.cz>
    Thomas Marsh <tmarsh@austin.ibm.com>

SuSE series: fun

%prep
%setup -n XaoS-%{version}
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --datadir=/%{_defaultdocdir}/xaos \
%ifarch ppc ia64
                --with-svga-driver=no \
%endif
                --mandir=%{_mandir} \
                --infodir=%{_infodir}
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
make datadir=$RPM_BUILD_ROOT/%{_defaultdocdir}/xaos \
     bindir=$RPM_BUILD_ROOT/usr/bin \
     mandir=$RPM_BUILD_ROOT/%{_mandir} \
     infodir=$RPM_BUILD_ROOT/%{_infodir} install
chmod 755 $RPM_BUILD_ROOT/usr/bin/xaos     
DOCDIR=$RPM_BUILD_ROOT/%{_defaultdocdir}/xaos
cp COPYING ChangeLog INSTALL TODO $DOCDIR

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%docdir /%{_defaultdocdir}/xaos
/%{_defaultdocdir}/xaos
/usr/bin/xaos
%doc %{_infodir}/xaos.info.gz
%doc %{_mandir}/man6/xaos.6.gz

%changelog -n xaos
* Fri May 18 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Mon Dec 11 2000 - ro@suse.de
- changed neededforbuild <aalibdev> to <aalib-devel>
* Mon Oct 09 2000 - nadvornik@suse.cz
- removed suid bit, used %%doc for man and info, used RPM_OPT_FLAGS
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon Sep 04 2000 - schwab@suse.de
- Add %%suse_update_config.
* Thu May 18 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
- fixed filelist
- changed Group tag
* Tue Apr 11 2000 - nadvornik@suse.cz
- added URL
* Thu Mar 23 2000 - nadvornik@suse.cz
- added BuildRoot
- added source url
* Tue Feb 01 2000 - ro@suse.de
- man,info to usr/share
* Tue Feb 01 2000 - fehr@suse.de
- change for new gcc 2.95.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - uli@suse.de
- disabled svgalib driver for PPC
* Wed Mar 17 1999 - uli@suse.de
- update 2.2 -> 3.0
- enabled svgalib/aalib drivers
* Tue Oct 07 1997 - fehr@suse.de
- now works with (a)build
* Wed May 14 1997 - fehr@suse.de
- added version 2.2 to distribution
